function [x,n] = cosseq(n0,n1,n2,w0)
% Generates x(n) = cos(w0*n); n1 <= n,n0 <= n2
% ------------------------------------------
% [x,n] = cosseq(n0,n1,n2,w0)
%
if ((n0 < n1) | (n0 > n2) | (n1 > n2))
	error('arguments must satisfy n1 <= n0 <= n2')
end
n = [n1:n2];
%x = [zeros(1,(n0-n1)), ones(1,(n2-n0+1))];
x = stepseq(n0,n1,n2).*cos(w0*n);
